import request from '@/utils/request'

// 查询商户列表列表
export function listStore(query) {
  return request({
    url: '/rl/store/list',
    method: 'get',
    params: query
  })
}

// ids查询商户列表列表
export function listStoreByIds(ids) {
  return request({
    url: `/rl/store/listByIds/${ids}`,
    method: 'get',
  })
}

// 查询商户列表详细
export function getStore(storeId) {
  return request({
    url: '/rl/store/' + storeId,
    method: 'get'
  })
}

// 新增商户列表
export function addStore(data) {
  return request({
    url: '/rl/store',
    method: 'post',
    data: data
  })
}

// 修改商户列表
export function updateStore(data) {
  return request({
    url: '/rl/store',
    method: 'put',
    data: data
  })
}

// 删除商户列表
export function delStore(storeId) {
  return request({
    url: '/rl/store/' + storeId,
    method: 'delete'
  })
}
